# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Tk.pm) perl(Tk/Balloon.pm) perl(Tk/BrowseEntry.pm) perl(Tk/CmdLine.pm) perl(Tk/Dialog.pm) perl(Tk/FileSelect.pm) perl(Tk/Menubar.pm) perl(Tk/NumEntry.pm) perl(Tk/NumEntryPlain.pm) perl(Tk/Pod.pm)
# END SourceDeps(oneline)
%define module_version 0.33
%define module_name BikePower
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.33
Release: alt2.1
Summary: bicycle power-output calculator with command-line and Tk interface
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SR/SREZIC/%module_name-%module_version.tar.gz

%description
BikePower calculates power output and power consumption for
bicycling. You give it things like riding speed, body weight, hill
grade, and wind speed. The module returns power output and power
consumption, broken out in various ways.

This module is meant for inclusion in own programs. There are two perl
scripts in the distribution, bikepwr and tkbikepwr, for use as
stand-alone programs.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/B*
%perl_vendor_autolib/*
%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.33-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.33-alt2
- rebuild to get rid of unmets

* Mon Apr 14 2014 Igor Vlasenko <viy@altlinux.ru> 0.33-alt1
- initial import by package builder

